[Blink] Blink stopped working

Saúl Ibarra Corretgé saul at ag-projects.com
Thu Mar 10 15:56:02 CET 2016


> On 10 Mar 2016, at 11:01, Mike Nagie <promike1987 at gmail.com> wrote:
> 
> Hello,
> 
> I've updated my system (Archlinux) and unfortunately Blink stopped
> working. I can't work it out for myself why this is happening, so please
> give me a hint.
> 
> On my host machine (where I haven't updated Blink and dependencies yet)
> I got:
> 
> $ blink
> 
> Traceback (most recent call last):
>  File "/usr/bin/blink", line 30, in <module>
>    from blink import Blink
>  File "/usr/lib/python2.7/site-packages/blink/__init__.py", line 34, in
> <module>
>    from sipsimple.account import Account, AccountManager,
> BonjourAccount
>  File "/usr/lib/python2.7/site-packages/sipsimple/account/__init__.py",
> line 25, in <module>
>    from sipsimple.account.bonjour import BonjourServices, _bonjour
>  File
> "/usr/lib/python2.7/site-packages/sipsimple/account/bonjour/__init__.py",
> line 23, in <module>
>    from sipsimple.core import FrozenSIPURI, SIPCoreError, NoGRUU
>  File "/usr/lib/python2.7/site-packages/sipsimple/core/__init__.py",
> line 4, in <module>
>    from sipsimple.core._core import *
> ImportError: /usr/lib/python2.7/site-packages/sipsimple/core/_core.so:
> undefined symbol: SSLv3_server_method
> 

Looks like your OpenSSL is built without SSLv3 support, which our core has, but doesn’t use… I’ll gut it out for the next release.

> My installed packages:
> local/python2-application 2.0.2-1
> local/python2-cjson 1.0.5-6
> local/python2-eventlib 0.2.1-1
> local/python2-gnutls 2.0.1-1
> local/python2-pyqt4 4.11.4-4
> local/python2-sipsimple 2.6.0-1
> local/python2-xcaplib 1.1.0-1
> local/python2-msrplib 0.18.0-2
> 
> 
> on the other hand on my virtual guest machine I updated these
> dependencies aswell, and I got:
> 
> $ blink
> Traceback (most recent call last):
>  File "/usr/bin/blink", line 30, in <module>
>    from blink import Blink
>  File "/usr/lib/python2.7/site-packages/blink/__init__.py", line 27, in
> <module>
>    from sipsimple.application import SIPApplication
>  File "/usr/lib/python2.7/site-packages/sipsimple/application.py", line
> 33, in <module>
>    from sipsimple.session import SessionManager
>  File "/usr/lib/python2.7/site-packages/sipsimple/session.py", line 37,
> in <module>
>    from sipsimple.streams import MediaStreamRegistry,
> InvalidStreamError, UnknownStreamError
>  File "/usr/lib/python2.7/site-packages/sipsimple/streams/__init__.py",
> line 118, in <module>
>    from sipsimple.streams import msrp, rtp
>  File
> "/usr/lib/python2.7/site-packages/sipsimple/streams/msrp/__init__.py",
> line 15, in <module>
>    from msrplib.connect import DirectConnector, DirectAcceptor,
> RelayConnection, MSRPRelaySettings
>  File "/usr/lib/python2.7/site-packages/msrplib/connect.py", line 54,
> in <module>
>    from gnutls.interfaces.twisted import TLSContext
> ImportError: cannot import name TLSContext
> 

You need python-gnutls 3.0.0.


Cheers,

--
Saúl Ibarra Corretgé
AG Projects



-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 842 bytes
Desc: Message signed with OpenPGP using GPGMail
URL: <http://lists.ag-projects.com/pipermail/blink/attachments/20160310/d36439fd/attachment.pgp>


More information about the Blink mailing list